Bug 239808 - dns/ldns openssl 1.1.1 base on FreeBSD12
Summary: dns/ldns openssl 1.1.1 base on FreeBSD12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on: 239525
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-12 21:28 UTC by david
Modified: 2019-09-03 09:33 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david 2019-08-12 21:28:38 UTC
When attempting to enable the option for DANETAUSAGE on FreeBSD 12 it complains that it is broken on openssl < 1.1.1.  12 is now the default on 12.  I just comment out the BROKEN ;)  but I understand that isn't a portable solution until we stop supporting ports on non OpenSSL base r1.1.1 systems
Comment 1 Jaap Akkerhuis 2019-08-15 14:05:12 UTC
The update to ldns 1.7.1 (See PR #239525) should take care of this
Comment 2 Jaap Akkerhuis 2019-09-03 08:42:38 UTC
(In reply to Jaap Akkerhuis from comment #1)

The update of ldns to 1.7.1 fixed this, we can close this one